import 'package:hmg_patient_app/pages/BookAppointment/waiting_appointment/waiting_appointment_verification.dart';
import 'package:hmg_patient_app/theme/colors.dart';
import 'package:hmg_patient_app/uitl/translations_delegate_base.dart';
import 'package:hmg_patient_app/uitl/utils_new.dart';
import 'package:hmg_patient_app/widgets/buttons/defaultButton.dart';
import 'package:hmg_patient_app/widgets/others/app_scaffold_widget.dart';
import 'package:hmg_patient_app/widgets/transitions/fade_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

class WaitingAppointmentInfo extends StatelessWidget {
  const WaitingAppointmentInfo({super.key});

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      appBarTitle: TranslationBase.of(context).waitingAppointment,
      isShowAppBar: true,
      isShowDecPage: false,
      showNewAppBar: true,
      showNewAppBarTitle: true,
      backgroundColor: CustomColors.appBackgroudGreyColor,
      body: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(16.0),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Container(
                width: MediaQuery.of(context).size.width,
                decoration: containerRadius(Colors.white, 10),
                child: Padding(
                  padding: const EdgeInsets.all(12.0),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      SvgPicture.asset(
                        "assets/images/new/waitingAppo.svg",
                        width: 52.0,
                        height: 52.0,
                      ),
                      mHeight(11),
                      Text(
                        TranslationBase.of(context).whatWaitingAppointment,
                        maxLines: 1,
                        style: TextStyle(fontSize: 17, fontWeight: FontWeight.w700, color: Color(0xff2B353E), letterSpacing: -1.44, height: 35 / 24),
                      ),
                      mHeight(11),
                      Container(
                        width: MediaQuery.of(context).size.width * 0.8,
                        child: Text(
                          TranslationBase.of(context).waitingAppointmentText1,
                          style: TextStyle(fontSize: 14, color: CustomColors.textDarkColor, letterSpacing: -1.04, height: 35 / 24, overflow: TextOverflow.clip),
                        ),
                      ),
                      mHeight(18),
                      Container(
                        width: MediaQuery.of(context).size.width * 0.8,
                        child: Text(
                          TranslationBase.of(context).waitingAppointmentText2,
                          style: TextStyle(fontSize: 14, color: CustomColors.textDarkColor, letterSpacing: -1.04, height: 35 / 24, overflow: TextOverflow.clip),
                        ),
                      ),
                      mHeight(24),
                      Row(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Icon(
                            Icons.warning,
                            size: 20,
                            color: Color(0xffA78618),
                          ),
                          mWidth(10),
                          Container(
                            width: MediaQuery.of(context).size.width * 0.7,
                            child: Text(
                              TranslationBase.of(context).waitingAppointmentText3,
                              style: TextStyle(
                                  fontSize: 14, fontStyle: FontStyle.italic, fontWeight: FontWeight.w600, color: Color(0xffA78618), letterSpacing: -1.04, height: 35 / 24, overflow: TextOverflow.clip),
                            ),
                          ),
                        ],
                      ),
                    ],
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
      bottomSheet: Container(
        height: 80,
        color: CustomColors.white,
        padding: EdgeInsets.fromLTRB(12.0, 12.0, 12.0, 25.0),
        child: Container(
          child: DefaultButton(
            TranslationBase.of(context).continues,
            () {
              Navigator.push(
                context,
                FadePage(
                  page: WaitingAppointmentVerification(),
                ),
              );
            },
            color: CustomColors.accentColor,
          ),
        ),
      ),
    );
  }
}
